Returns all API users.

GEThttps://api.awork.com/api/v1/apiusers
GET https://api.awork.com/api/v1/apiusers

Returns API users configured in the workspace.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Responses

200 OK

application/json

namestringRequired
minLength: 1

The name of the API user.

roleIdstring or nullOptional
format: uuid

The role the user should be in. If no role is specified, the user will become an admin.

clientIdstring or nullOptional

The client id this API user belongs to.

idstringOptional
format: uuid

The id of the API user.

createdOnstringOptional
format: date-time

The date this user was created.

createdBystringOptional
format: uuid

The id of the user who created this user.

updatedOnstringOptional
format: date-time

The date when this user was last updated.

updatedBystringOptional
format: uuid

The id of the user who updated the entity.

Search documentation